Loading...
Searching...
No Matches
_ocsd_instr_info Struct Reference
OpenCSD Library : Interfaces

`#include <ocsd_if_types.h>`

Collaboration diagram for _ocsd_instr_info:
[legend]

## Public Attributes

ocsd_arch_profile_t | pe_type
ocsd_isa | isa
ocsd_vaddr_t | instr_addr
uint32_t | opcode
uint8_t | dsb_dmb_waypoints
uint8_t | wfi_wfe_branch
ocsd_instr_type | type
ocsd_vaddr_t | branch_addr
ocsd_isa | next_isa
uint8_t | instr_size
uint8_t | is_conditional
uint8_t | is_link
uint8_t | thumb_it_conditions
ocsd_instr_subtype | sub_type

## Detailed Description

Instruction decode request structure.

Used in IInstrDecode interface.

Caller fills in the input: information, callee then fills in the decoder: information.

Definition at line 383 of file ocsd_if_types.h.

## Member Data Documentation

## branch_addr

ocsd_vaddr_t _ocsd_instr_info::branch_addr

Decoder: Calculated address of branch instrcution (direct branches only)

Definition at line 394 of file ocsd_if_types.h.

## dsb_dmb_waypoints

uint8_t _ocsd_instr_info::dsb_dmb_waypoints

Input: DMB and DSB are waypoints

Definition at line 389 of file ocsd_if_types.h.

## instr_addr

ocsd_vaddr_t _ocsd_instr_info::instr_addr

Input: Instruction address.

Definition at line 387 of file ocsd_if_types.h.

## instr_size

uint8_t _ocsd_instr_info::instr_size

Decoder : size of the decoded instruction

Definition at line 396 of file ocsd_if_types.h.

## is_conditional

uint8_t _ocsd_instr_info::is_conditional

Decoder : set to 1 if this instruction is conditional

Definition at line 397 of file ocsd_if_types.h.

## is_link

uint8_t _ocsd_instr_info::is_link

Decoder : is a branch with link instruction

Definition at line 398 of file ocsd_if_types.h.

## isa

ocsd_isa _ocsd_instr_info::isa

Input: Current ISA.

Definition at line 386 of file ocsd_if_types.h.

## next_isa

ocsd_isa _ocsd_instr_info::next_isa

Decoder: ISA for next intruction.

Definition at line 395 of file ocsd_if_types.h.

## opcode

uint32_t _ocsd_instr_info::opcode

Input: Opcode at address. 16 bit opcodes will use MS 16bits of parameter.

Definition at line 388 of file ocsd_if_types.h.

## pe_type

ocsd_arch_profile_t _ocsd_instr_info::pe_type

input: Core Arch and profile

Definition at line 385 of file ocsd_if_types.h.

## sub_type

ocsd_instr_subtype _ocsd_instr_info::sub_type

Decoder : current instruction sub-type if known

Definition at line 400 of file ocsd_if_types.h.

## thumb_it_conditions

uint8_t _ocsd_instr_info::thumb_it_conditions

Decoder : return number of following instructions set with conditions by this Thumb IT instruction

Definition at line 399 of file ocsd_if_types.h.

## type

ocsd_instr_type _ocsd_instr_info::type

Decoder: Current instruction type.

Definition at line 393 of file ocsd_if_types.h.

## wfi_wfe_branch

uint8_t _ocsd_instr_info::wfi_wfe_branch

Input: WFI, WFE classed as direct branches

Definition at line 390 of file ocsd_if_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/ocsd_if_types.h